using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace GameList.Data.Migrations
{
    /// <inheritdoc />
    public partial class PerUserPhases : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CurrentPhase",
                table: "AppState");

            migrationBuilder.AddColumn<int>(
                name: "CurrentPhase",
                table: "Players",
                type: "INTEGER",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<bool>(
                name: "ResultsOpen",
                table: "AppState",
                type: "INTEGER",
                nullable: false,
                defaultValue: false);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ResultsOpen",
                table: "AppState");

            migrationBuilder.DropColumn(
                name: "CurrentPhase",
                table: "Players");

            migrationBuilder.AddColumn<int>(
                name: "CurrentPhase",
                table: "AppState",
                type: "INTEGER",
                nullable: false,
                defaultValue: 0);
        }
    }
}
